
Figure - Bug #117971
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】音乐播放中播打飞书电话，音乐停止，飞书电话会议时，喇叭不出声
2023-05-16 20:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 我们将AF发出的声音通过ContentType来禁止了，不再发生这个问题。

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

1、点击播放本地音乐

2、飞书播放语音电话

3、通话中

4、挂断电话

【预期结果】

3、mic和喇叭都可正常使用

4、音乐继续播放

【实际结果】

3、喇叭不出声

4、音乐继续播放

History

#1 - 2023-05-16 20:59 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Major

飞书语音时，进入游戏，游戏声音暂停，挂断电话后，副屏音视频无法播放，游戏无声

#2 - 2023-05-17 13:48 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

从当前日志来看，VOIP通话接通后，没有再去释放焦点，感觉日志没有获取完全呢。

19098:05-16 20:02:31.693  1254  2903 D AS.AudioService: idcm_af:requestAudioFocus, call: com.ss.android.lark

...
19202:05-16 20:02:31.774  2086  5606 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

19203:05-16 20:02:31.775  1254  2014 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

...

19217:05-16 20:02:31.776   798  1674 D audio_hw_primary: adev_set_mode: mode 3 , prev_mode 0

#3 - 2023-05-17 14:11 - CD TEST-方永红

- File 1410.txt added

#4 - 2023-05-17 15:02 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

根据新的日志查看，VOIP过程中，

焦点申请和释放正常，底层通路选择正常。

该问题需要抓QXDM进行分析。

#5 - 2023-05-17 16:39 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_TEST 王成

Hi 王成

该问题我们复现了，并且获取了QXDM日志；

在1586节点下，我们可以听到通话的下行声。

该问题应该问题出在中控或者AMP上，麻烦转给中控分析。谢谢！

#6 - 2023-05-19 14:12 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前进一步的调查，发现该问题的必现步骤；

1.飞书接收到电话，此时注意必须在其他应用界面；

2.在听到滴的一声后接听电话，此时就可以复现通话无声的问题。

并且从之后通话会一直没有声音。

当前分析：

1.根据日志来看，在滴的时间前已经申请了焦点，

后面的通路也打开正常，所以该问题需要中控或AMP调查。

2.滴的一声是通话时的提示音，该提示音由AF中发出的，

禁用后不复现。
#7 - 2023-05-22 11:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201556 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix VOIP silent issueFix VOIP silent issueTC-RID: 0301-0900116IssueID: TS-R-DF-117971Change-Id:

I47912348409c32ab79eeb31f7db414d9b151a9a9

#8 - 2023-05-22 11:22 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

我们将AF发出的声音通过ContentType来禁止了，不再发生这个问题。

#9 - 2023-05-22 17:32 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CDTS_TEST 王成 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 我们将AF发出的声音通过ContentType来禁止了，不再发生这个问题。

Hi 永红

请使用5/22日后的版本进行验证，谢谢！

#10 - 2023-05-23 14:41 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

#11 - 2023-05-23 14:41 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

2002.txt 2.74 MB 2023-05-16 CD TEST-方永红

1410.txt 3.05 MB 2023-05-17 CD TEST-方永红
